public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-libs/geom/
@ 2011-03-09 13:27 Oliver Borm
  0 siblings, 0 replies; 6+ messages in thread
From: Oliver Borm @ 2011-03-09 13:27 UTC (permalink / raw
  To: gentoo-commits

commit:     d57c23ffef5d82cca923517b7b5685d173595379
Author:     Oliver Borm (boroli) <oli.borm <AT> web <DOT> de>
AuthorDate: Wed Mar  9 13:27:17 2011 +0000
Commit:     Oliver Borm <oli.borm <AT> web <DOT> de>
CommitDate: Wed Mar  9 13:27:17 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=d57c23ff

sci-libs/geom: New ebuild from bug 358061

---
 sci-libs/geom/ChangeLog           |   10 +++++++++
 sci-libs/geom/geom-5.1.2.7.ebuild |   40 +++++++++++++++++++++++++++++++++++++
 sci-libs/geom/metadata.xml        |    7 ++++++
 3 files changed, 57 insertions(+), 0 deletions(-)

diff --git a/sci-libs/geom/ChangeLog b/sci-libs/geom/ChangeLog
new file mode 100644
index 0000000..bef4c80
--- /dev/null
+++ b/sci-libs/geom/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-libs/geom
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*geom-5.1.2.7 (09 Mar 2011)
+
+  09 Mar 2011; Oliver Borm (boroli) <oli.borm@web.de> +geom-5.1.2.7.ebuild,
+  +metadata.xml:
+  sci-libs/geom: New ebuild from bug 358061
+

diff --git a/sci-libs/geom/geom-5.1.2.7.ebuild b/sci-libs/geom/geom-5.1.2.7.ebuild
new file mode 100644
index 0000000..976fad9
--- /dev/null
+++ b/sci-libs/geom/geom-5.1.2.7.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit autotools eutils
+
+DESCRIPTION="A complete OpenCascade - OCAF based CAD framework"
+HOMEPAGE="http://sourceforge.net/projects/salomegeometry/"
+SRC_URI="mirror://sourceforge/salomegeometry/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND="sci-libs/opencascade"
+DEPEND="${RDEPEND}
+	doc? ( app-doc/doxygen )"
+
+S=${WORKDIR}/adm/lin/
+
+src_prepare() {
+	eautoreconf
+	ln -fs {../../src,../../inc,../../resources} . || die 'linking failed'
+}
+
+src_compile() {
+	emake || die 'emake failed'
+	if use doc ; then
+		cd ../../doc/src
+		doxygen || die 'doxygen failed'
+	fi
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed!"
+	use doc && dohtml -r ../../doc/html/*
+}

diff --git a/sci-libs/geom/metadata.xml b/sci-libs/geom/metadata.xml
new file mode 100644
index 0000000..2974a02
--- /dev/null
+++ b/sci-libs/geom/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+	<use>
+	</use>
+</pkgmetadata>



^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/geom/
@ 2015-05-23 15:53 Justin Lecher
  0 siblings, 0 replies; 6+ messages in thread
From: Justin Lecher @ 2015-05-23 15:53 UTC (permalink / raw
  To: gentoo-commits

commit:     a40c103e4f48aa77d9e1f5a4f572f2635461cf2a
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Sat May 23 13:22:22 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat May 23 13:22:22 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=a40c103e

sci-libs/geom: Bump to EAPI=5

Package-Manager: portage-2.2.18

 sci-libs/geom/ChangeLog           |  6 ++++--
 sci-libs/geom/geom-5.1.2.7.ebuild | 10 +++++-----
 2 files changed, 9 insertions(+), 7 deletions(-)

diff --git a/sci-libs/geom/ChangeLog b/sci-libs/geom/ChangeLog
index bef4c80..d488d7f 100644
--- a/sci-libs/geom/ChangeLog
+++ b/sci-libs/geom/ChangeLog
@@ -1,10 +1,12 @@
 # ChangeLog for sci-libs/geom
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  23 May 2015; Marius Brehler <marbre@linux.sungazer.de> geom-5.1.2.7.ebuild:
+  Bump to EAPI=5
+
 *geom-5.1.2.7 (09 Mar 2011)
 
   09 Mar 2011; Oliver Borm (boroli) <oli.borm@web.de> +geom-5.1.2.7.ebuild,
   +metadata.xml:
   sci-libs/geom: New ebuild from bug 358061
-

diff --git a/sci-libs/geom/geom-5.1.2.7.ebuild b/sci-libs/geom/geom-5.1.2.7.ebuild
index 5ad13c7..98331d5 100644
--- a/sci-libs/geom/geom-5.1.2.7.ebuild
+++ b/sci-libs/geom/geom-5.1.2.7.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-EAPI=3
+EAPI=5
 
 inherit autotools eutils
 
@@ -27,14 +27,14 @@ src_prepare() {
 }
 
 src_compile() {
-	emake || die 'emake failed'
+	default
 	if use doc ; then
-		cd ../../doc/src
+		cd ../../doc/src || die
 		doxygen || die 'doxygen failed'
 	fi
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed!"
+	default
 	use doc && dohtml -r ../../doc/html/*
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/geom/
@ 2015-09-21 17:44 Justin Lecher
  0 siblings, 0 replies; 6+ messages in thread
From: Justin Lecher @ 2015-09-21 17:44 UTC (permalink / raw
  To: gentoo-commits

commit:     ed7c37a4f71befa2b921fe8c8befcfea39037730
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 21 17:39:32 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Sep 21 17:39:32 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=ed7c37a4

sci-libs/geom: Add subslot operators

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-libs/geom/geom-5.1.2.7.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-libs/geom/geom-5.1.2.7.ebuild b/sci-libs/geom/geom-5.1.2.7.ebuild
index c432d66..b47f6ec 100644
--- a/sci-libs/geom/geom-5.1.2.7.ebuild
+++ b/sci-libs/geom/geom-5.1.2.7.ebuild
@@ -15,7 +15,7 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="doc"
 
-RDEPEND="sci-libs/opencascade"
+RDEPEND="sci-libs/opencascade:*"
 DEPEND="${RDEPEND}
 	doc? ( app-doc/doxygen )"
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/geom/
@ 2021-01-19 16:56 Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2021-01-19 16:56 UTC (permalink / raw
  To: gentoo-commits

commit:     3fc73c3f2ad8b232f5b04fdd16371d1f855fa644
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue Jan 19 16:41:59 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Jan 19 16:41:59 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3fc73c3f

sci-libs/geom: cleanup metadata

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-libs/geom/metadata.xml | 2 --
 1 file changed, 2 deletions(-)

diff --git a/sci-libs/geom/metadata.xml b/sci-libs/geom/metadata.xml
index 930d607dc..b34b297d6 100644
--- a/sci-libs/geom/metadata.xml
+++ b/sci-libs/geom/metadata.xml
@@ -5,8 +5,6 @@
 		<email>sci@gentoo.org</email>
 		<name>Gentoo Science Project</name>
 	</maintainer>
-	<use>
-</use>
 	<upstream>
 		<remote-id type="sourceforge">salomegeometry</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/geom/
@ 2021-03-04 19:34 Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2021-03-04 19:34 UTC (permalink / raw
  To: gentoo-commits

commit:     278934e87dea00c7520e7b2d1c220e502bd1c7bf
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Mar  4 19:34:32 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Mar  4 19:34:32 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=278934e8

sci-libs/geom: cleanup old

Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-libs/geom/geom-5.1.2.7.ebuild | 39 ---------------------------------------
 1 file changed, 39 deletions(-)

diff --git a/sci-libs/geom/geom-5.1.2.7.ebuild b/sci-libs/geom/geom-5.1.2.7.ebuild
deleted file mode 100644
index 6e47ca14b..000000000
--- a/sci-libs/geom/geom-5.1.2.7.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit autotools eutils
-
-DESCRIPTION="A complete OpenCascade - OCAF based CAD framework"
-HOMEPAGE="https://sourceforge.net/projects/salomegeometry/"
-SRC_URI="mirror://sourceforge/salomegeometry/${P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc"
-
-RDEPEND="sci-libs/opencascade:*"
-DEPEND="${RDEPEND}
-	doc? ( app-doc/doxygen )"
-
-S=${WORKDIR}/adm/lin/
-
-src_prepare() {
-	eautoreconf
-	ln -fs {../../src,../../inc,../../resources} . || die 'linking failed'
-}
-
-src_compile() {
-	default
-	if use doc ; then
-		cd ../../doc/src || die
-		doxygen || die 'doxygen failed'
-	fi
-}
-
-src_install() {
-	default
-	use doc && dohtml -r ../../doc/html/*
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-libs/geom/
@ 2021-03-04 19:34 Andrew Ammerlaan
  0 siblings, 0 replies; 6+ messages in thread
From: Andrew Ammerlaan @ 2021-03-04 19:34 UTC (permalink / raw
  To: gentoo-commits

commit:     d5722a45fa8a38a8db7a86c2a4cb2e3061453c73
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Mar  4 19:34:13 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Mar  4 19:34:13 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=d5722a45

sci-libs/geom: version bump 6.3.1.8

Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 sci-libs/geom/geom-6.3.1.8.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/sci-libs/geom/geom-6.3.1.8.ebuild b/sci-libs/geom/geom-6.3.1.8.ebuild
new file mode 100644
index 000000000..39b097c92
--- /dev/null
+++ b/sci-libs/geom/geom-6.3.1.8.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DOCS_BUILDER="doxygen"
+DOCS_DIR="doc/src"
+DOCS_DEPEND="media-gfx/graphviz"
+
+inherit cmake docs
+
+DESCRIPTION="A complete OpenCascade - OCAF based CAD framework"
+HOMEPAGE="https://sourceforge.net/projects/salomegeometry/"
+SRC_URI="mirror://sourceforge/salomegeometry/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+OCC_SLOT="7.4.0"
+
+RDEPEND="sci-libs/opencascade:${OCC_SLOT}"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}"
+
+src_configure() {
+	mycmakeargs=(
+		-DOCC_INCLUDE_PATH="/usr/lib64/opencascade-${OCC_SLOT}/ros/include/opencascade/"
+	)
+	cmake_src_configure
+}
+
+src_compile() {
+	docs_compile
+	cmake_src_compile
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2021-03-04 19:34 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-03-04 19:34 [gentoo-commits] proj/sci:master commit in: sci-libs/geom/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2021-03-04 19:34 Andrew Ammerlaan
2021-01-19 16:56 Andrew Ammerlaan
2015-09-21 17:44 Justin Lecher
2015-05-23 15:53 Justin Lecher
2011-03-09 13:27 Oliver Borm

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox